# Get imported number

Returns the imported number you specify in the path.

Endpoint: GET /v1/projects/{projectId}/importedNumbers/{phoneNumber}
Version: 1.0
Security: Basic, OAuth2.0

## Security:

  - `Basic` (unknown)
    http basic

  - `OAuth2.0` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    Found on your [Sinch Customer Dashboard](https://dashboard.sinch.com/settings/project-management). Settings > Projects.

  - `phoneNumber` (string, required)
    The phone number in [E.164](https://community.sinch.com/t5/Glossary/E-164/ta-p/7537) format with leading `+`.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `phoneNumber` (string)
    The phone number in e.164 format with leading +.
    Example: +12025550134

  - `projectId` (string)
    The ID of the project resource. You can find your project ID on dashboard.sinch.com.
    Example: YOUR_project_id

  - `regionCode` (string)
    ISO 3166-1 alpha-2 country code of the phone number. Example US, UK or SE.
    Example: US

  - `displayName` (string)
    User supplied name for the phone number.
    Example: MyPhoneNumber

  - `smsConfiguration` (object)
    Configuration for SMS

  - `smsConfiguration.servicePlanId` (string)
    The current SMS configuration for this number.
The `servicePlanId`` can be found when logging into dashboard.sinch.com
in the SMS>APIs section.
    Example: YOUR_service_plan_id

  - `smsConfiguration.scheduledProvisioning` (object)
    Ongoing Provisioning for SMS service

  - `smsConfiguration.scheduledProvisioning.servicePlanId` (string)
    Service plan of the scheduled provisioning task.
    Example: YOUR_service_plan_id

  - `smsConfiguration.scheduledProvisioning.status` (integer)
    Status of the pending change.

  - `smsConfiguration.scheduledProvisioning.lastUpdatedTime` (string)
    Timestamp when the status was last updated.

  - `smsConfiguration.scheduledProvisioning.campaignId` (string)
    The campaign of the scheduled provisioning task.
    Example: YOUR_campaign_id

  - `smsConfiguration.scheduledProvisioning.errorCodes` (array)
    A list of error codes, if applicable, for the scheduled provisioning task.

  - `smsConfiguration.campaignId` (string)
    The current campaign ID assigned to this number.
    Example: YOUR_campaign_id

  - `smsConfiguration.migrateToSinchTmo` (boolean)
    Displays if a number is assigned to another aggregator in T-Mobile's platform, and requires migration from previous aggregator to Sinch.

  - `callbackUrl` (string)
    The client's callback URL to be called upon finishing the number import.
    Example: https://www.your-callback-server.com/callback

  - `mnoConfiguration` (object)
    The mnoConfiguration object represents the status and progress of configuration operations for SMS and MMS services across different carriers (AT&T and T-Mobile). Each key within this object (smsAtt, smsTmo, mmsAtt and mmsTmo) corresponds to a specific service type (SMS or MMS) associated with a particular mobile network operator.

  - `mnoConfiguration.smsAtt` (object)
    Contains information about SMS-enabled ATT&T numbers.

  - `mnoConfiguration.smsAtt.state` (string)
    Indicates the current state of the operation.
    Enum: "DONE", "FAILED", "IN_PROGRESS", "WAITING", "STATE_UNSPECIFIED"

  - `mnoConfiguration.smsAtt.errorCode` (string)
    An optional string field that contains an error code if the operation failed. This field is empty ("") when there is no error.

  - `mnoConfiguration.smsAtt.errorMessage` (string)
    An optional string field that provides a human-readable message describing the error. This field is empty ("") when no error has occurred.

  - `mnoConfiguration.smsAtt.updateTime` (string)
    A timestamp in ISO 8601 format indicating the last time the status was updated.
    Example: 2025-04-02T19:45:28.650924Z

  - `mnoConfiguration.smsAtt.operation` (string)
    Specifies the type of action being performed.
    Enum: "PROVISIONING", "DEPROVISIONING", "OPERATION_UNSPECIFIED"

  - `mnoConfiguration.smsTmo` (object)
    Contains information about SMS-enabled T-Mobile numbers.

  - `mnoConfiguration.mmsAtt` (object)
    Contains information about MMS-enabled AT&T numbers.

  - `mnoConfiguration.mmsTmo` (object)
    Contains information about MMS-enabled T-Mobile numbers.

  - `smsProvisioning` (object)
    An object giving details about the SMS provisioning of the number.

  - `smsProvisioning.serviceType` (string)
    The type of service.
    Enum: "SMS", "CAMPAIGN"

  - `smsProvisioning.serviceId` (string)
    A unique identifier for the service being provisioned.
    Example: 0130a21c9ed6461ba3a1fefda83f7ec7

  - `smsProvisioning.type` (string)
    Specifies the type of operation. This value of this field is either "PROVISIONING" or "DEPROVISIONING".
    Enum: "PROVISIONING", "DEPROVISIONING"

  - `smsProvisioning.updateTime` (string)
    A timestamp in ISO 8601 format (UTC) indicating the last time the provisioning status was updated.
    Example: 2023-02-02T21:00:07.467353Z

  - `smsProvisioning.errorMessage` (string)
    If an error occurred during provisioning, this field will contain a descriptive message. It will be an empty string if no error is present.

  - `smsProvisioning.errorCode` (string)
    If an error occurred during provisioning, this field will contain the error code. This field is also an empty string when no error has occurred.

  - `campaignProvisioning` (object)
    An object giving details about the campaign provisioning of the number.

  - `campaignProvisioning.serviceId` (string)
    A unique identifier for the service being provisioned.
    Example: CDCQLGJ

  - `campaignProvisioning.updateTime` (string)
    A timestamp in ISO 8601 format (UTC) indicating the last time the provisioning status was updated.
    Example: 2023-02-02T21:00:07.467353Z

  - `campaignProvisioning.errorMessage` (string)
    If an error occurred during provisioning, this field will contain a descriptive message. It will be an empty string if no error is present.

  - `campaignProvisioning.errorCode` (string)
    If an error occurred during provisioning, this field will contain the error code. This field is also an empty string when no error has occurred.

## Response 404:

  - `404` (unknown)
    The imported number could not be found.

## Response 404 fields (application/json):

  - `code` (string)
    The HTTP response code for the error.
    Example: 404

  - `message` (string)
    The friendly message describing the reason for the error response.
    Example: The imported number could not be found.

  - `status` (string)
    The HTTP response status for the error.
    Example: NOT_FOUND

## Response 500:

  - `500` (unknown)
    INTERNAL: Internal server error. Typically, a server bug.

## Response 500 fields (application/json):

  - `code` (string)
    The HTTP response code for the error.
    Example: 404

  - `message` (string)
    The friendly message describing the reason for the error response.
    Example: The imported number could not be found.

  - `status` (string)
    The HTTP response status for the error.
    Example: NOT_FOUND

